#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock

ifconfig eth0 192.168.1.201 up
ALGOLIB=/mnt/mtdblock/libzkfp.so.3.5.1
if [ -f $DEST/mgetty ]; then
	cp $DEST/mgetty /sbin
fi

if [ -f $DEST/pppd ]; then
	cp $DEST/pppd /usr/sbin
	chmod u+x /usr/sbin/pppd
fi

if [ -f $ALGOLIB ]; then
ln -s /mnt/mtdblock/libzkfp.so.3.5.1  /lib/libzkfp.so.3 -f
ln -s /mnt/mtdblock/libzkfp.so.3.5.1  /lib/libzkfp.so -f
ln -s /mnt/mtdblock/libfpsensor.so /lib/libfpsensor.so -f
ln -s /mnt/mtdblock/libcam.so /lib/libcam.so -f
fi

ln -s /mnt/mtdblock/libdlcl.so /lib/libdlcl.so -f

if [ -f $DEST/0.wav ]; then
        rm $DEST/?.wav $DEST/??.wav -rf && sync
fi
if [ -f $DEST/language.tgz ]; then
        cd $DEST && chmod u+x language.tgz && rm -rf LANGUAGE.* && tar zxf language.tgz && rm -rf language.tgz
fi
                                
if [ -f $DEST/res.tgz ]; then
        cd $DEST && chmod u+x res.tgz && rm -rf *_*.wav && tar zxf res.tgz && rm -rf res.tgz
fi
                                        
if [ -f $DEST/drivers/hv7131-camera.o ]; then
        insmod $DEST/drivers/hv7131-camera.o
fi

if [ -f $DEST/drivers/cim-camera.o ]; then
        insmod $DEST/drivers/cim-camera.o
fi

if [ -f $DEST/drivers/wiegand.o ]; then
        insmod $DEST/drivers/wiegand.o
fi

if [ -f $DEST/drivers/dummy.o ]; then
        insmod $DEST/drivers/dummy.o
fi

if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main && gunzip main.gz && sync
fi 

if [ -f /mnt/mtdblock/libwebserver.tgz ]; then
	tar zxvf /mnt/mtdblock/libwebserver.tgz -C /lib
fi

if [ -f $DEST/LANGUAGE.S ]; then
     rm $DEST/LANGUAGE.S
fi
     
if [ -f $DEST/main ]; then 
	cd $DEST && chmod u+x $DEST/main && $DEST/main& 
fi

if [ -f $DEST/wdt.gz ]; then
	cd $DEST && rm wdt && gunzip wdt.gz && sync
fi 

if [ -f /mnt/mtdblock/RS232FunOn.dat ]; then
	if [ -f /mnt/mtdblock/wdt ]; then
		/mnt/mtdblock/wdt -p 5 -t 3600&
	fi
else
	if [ -f /mnt/mtdblock/wdt ]; then
		/mnt/mtdblock/wdt -p 5 -t 3600
	fi
fi

